# Interface SearchDirectiveListeners

interface SearchDirectiveListeners {
autocomplete: ((arg0: Event, arg1: T, arg2: Dataset<T>) => void);
change: ((arg0: Event, arg1: string) => void);
close: (() => void);
cursorchange: ((arg0: Event, arg1: T, arg2: Dataset<T>) => void);
datasetsempty: ((arg0: Event, arg1: string, arg2: boolean) => void);
open: (() => void);
select: ((arg0: Event, arg1: T, arg2: Dataset<T>) => void);
}

- Defined in src/search/searchDirective.js:25

#####
Index

### Properties

autocomplete
change
close
cursorchange
datasetsempty
open
select

##
Properties

### autocomplete

autocomplete: ((arg0: Event, arg1: T, arg2: Dataset<T>) => void)

- Defined in src/search/searchDirective.js:30

### change

change: ((arg0: Event, arg1: string) => void)

- Defined in src/search/searchDirective.js:32

### close

close: (() => void)

- Defined in src/search/searchDirective.js:27

### cursorchange

cursorchange: ((arg0: Event, arg1: T, arg2: Dataset<T>) => void)

- Defined in src/search/searchDirective.js:28

### datasetsempty

datasetsempty: ((arg0: Event, arg1: string, arg2: boolean) => void)

- Defined in src/search/searchDirective.js:31

### open

open: (() => void)

- Defined in src/search/searchDirective.js:26

### select

select: ((arg0: Event, arg1: T, arg2: Dataset<T>) => void)

- Defined in src/search/searchDirective.js:29